<ngb-toast header="" class="bg-success text-light" *ngIf="success" (hidden)="success=false">
  Supression de {{customerLastName}} {{customerFirstname}}
</ngb-toast>
<ngb-toast header="" class="bg-danger text-light" *ngIf="failure" (hidden)="failure=false">
  Echec de la suppression : {{errorMessage}}
</ngb-toast>
<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Confirmation de suppression: </h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss(false)"></button>
  </div>
  <div class="modal-body">
    <p>Confimez-vous la suppression du client {{customerLastName}} {{customerFirstname}} ? </p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark"
      (click)="modal.close(true)">Supprimer</button>
    <button type="button" class="btn btn-outline-dark"
      (click)="modal.close(false)">Abandonner</button>
  </div>
</ng-template>

<app-template-page [titre]="'Liste des clients'" [visible]="false">
<div class="container">
<div class="row justify-content-end m-3" >Total clients : {{total}}</div>
<table aria-describedby="Liste des clients" class="table table-striped table-bordered table-hover">
  <caption>Liste des clients</caption>
  <thead>
    <tr>
      <th>#</th>
      <th>Nom</th>
      <th>Prénom</th>
      <th>Entreprise</th>
      <th>Courriel</th>
      <th>Téléphone</th>
      <th>Portable</th>
      <th>Notes</th>
      <th>Statut</th>
      <th>Consulter</th>
      <th *ngIf="isAdmin">Editer</th>
      <th *ngIf="isAdmin">Supprimer</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let customer of customers$ | async  | slice: (page-1) * pageSize : (page-1) * pageSize + pageSize; let i =index ; ">
      <td>{{i+1}}</td>
      <td> {{customer.lastname}}</td>
      <td> {{customer.firstname}}</td>
      <td> {{customer.company}}</td>
      <td> {{customer.mail}} </td>
      <td> {{customer.phone}} </td>
      <td> {{customer.mobile}} </td>
      <td> {{customer.notes}} </td>
      <td >
        <p *ngIf= "customer.active" > actif </p>
        <p *ngIf= "!customer.active" > inactif </p>
      </td>
      <td>
        <a class="book" [routerLink]="'../description/'+customer.id">
        <app-icon-book></app-icon-book>
        </a>
      </td>
      <td *ngIf="isAdmin">
        <a class="crayon" [routerLink]="['../edit', customer.id]">
          <app-icon-edit></app-icon-edit>
        </a>
      </td>
      <td *ngIf="isAdmin">
        <a class="trash" href="javascript:void(0)"
        (click)="confirmDeletion(content ,customer.id, customer.lastname,customer.firstname)">
        <app-icon-delete>
        </app-icon-delete>
      </a>
      </td>
    </tr>
  </tbody>
</table>
<div class="row justify-content-end">
<ngb-pagination [collectionSize]="total" [(page)]="page" [maxSize]="5" [rotate]="true" [ellipses]="false" [boundaryLinks]="true"></ngb-pagination>
</div>
<a [routerLink]="'../add'" class="btn btn-primary" *ngIf="isAdmin">
  <app-icon-add></app-icon-add> Ajouter
</a>
</div>
</app-template-page>
